org.jboss.jca.adapters.jdbc.jdk8

## Class CachedPreparedStatementJDK8

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.JBossWrapper
  - - org.jboss.jca.adapters.jdbc.CachedPreparedStatement
    - - org.jboss.jca.adapters.jdbc.jdk8.CachedPreparedStatementJDK8

- All Implemented Interfaces:
    java.io.Serializable, java.lang.AutoCloseable, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

      public class CachedPreparedStatementJDK8
      extends CachedPreparedStatement

  CachedPreparedStatementJDK8.
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.CachedPreparedStatement

      `log`

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `bundle`

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedPreparedStatementJDK8(java.sql.PreparedStatement ps)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long[]` | `executeLargeBatch()`
    `long` | `executeLargeUpdate()`
    `long` | `executeLargeUpdate(java.lang.String sql)`
    `long` | `executeLargeUpdate(java.lang.String sql, int autoGeneratedKeys)`
    `long` | `executeLargeUpdate(java.lang.String sql, int[] columnIndexes)`
    `long` | `executeLargeUpdate(java.lang.String sql, java.lang.String[] columnNames)`
    `long` | `getLargeMaxRows()`
    `long` | `getLargeUpdateCount()`
    `void` | `setLargeMaxRows(long max)`
    `void` | `setObject(int parameterIndex, java.lang.Object x, java.sql.SQLType targetSqlType)`
    `void` | `setObject(int parameterIndex, java.lang.Object x, java.sql.SQLType targetSqlType, int scaleOrLength)`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.CachedPreparedStatement

      `addBatch, addBatch, agedOut, cancel, clearBatch, clearParameters, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMetaData, getMoreResults, getMoreResults, getParameterMetaData, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUnderlyingPreparedStatement, getUpdateCount, getWarnings, getWrappedObject, inUse, isClosed, isCloseOnCompletion, isInUse, isPoolable, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setPoolable, setQueryTimeout, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### CachedPreparedStatementJDK8

          public CachedPreparedStatementJDK8(java.sql.PreparedStatement ps)
                                      throws java.sql.SQLException

      Constructor
      Parameters:
        `ps` - The prepared statement
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

  - ### Method Detail

    - #### getLargeUpdateCount

          public long getLargeUpdateCount()
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setLargeMaxRows

          public void setLargeMaxRows(long max)
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getLargeMaxRows

          public long getLargeMaxRows()
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### executeLargeBatch

          public long[] executeLargeBatch()
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public long executeLargeUpdate(java.lang.String sql)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public long executeLargeUpdate(java.lang.String sql,
                                         int autoGeneratedKeys)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public long executeLargeUpdate(java.lang.String sql,
                                         int[] columnIndexes)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public long executeLargeUpdate(java.lang.String sql,
                                         java.lang.String[] columnNames)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                                java.lang.Object x,
                                java.sql.SQLType targetSqlType,
                                int scaleOrLength)
                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                                java.lang.Object x,
                                java.sql.SQLType targetSqlType)
                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public long executeLargeUpdate()
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)